PYTHON3-UNIDIFF(1)

NAME
python3-unidiff - Unified diff Python parsing/metadata extraction library

SYNOPSIS
python3-unidiff [options]

DESCRIPTION
python3-unidiff is a tool for processing unified diff data. It can read diff data from a file or from standard input and optionally output the diff to stdout.

OPTIONS

-h, --help
    Show this help message and exit.

--show-diff
    Output the diff to stdout.

-f, --file DIFF_FILE
    Read diff data from the specified file. If not specified, read diff data from stdin.

EXAMPLES

git diff | python3-unidiff
    Run the tool with diff data from git diff.

hg diff | python3-unidiff --show-diff
    Run the tool with diff data from hg diff and output the diff to stdout.

python3-unidiff -f patch.diff
    Run the tool with diff data from the specified file patch.diff.

AUTHOR
Yogeswaran Umasankar <kd8mbd@gmail.com>

REPORTING BUGS
Report bugs to the Debian Bug Tracking System at https://bugs.debian.org/.